Bug 18633 - fdisk/installer treats 2GB disk as 6GB disk
fdisk/installer treats 2GB disk as 6GB disk
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-08 08:28 EDT by Jesper Skov
Modified: 2007-03-26 23:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 23:24:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2000-10-08 08:28:34 EDT
I'm just installing RH7 on an older P166 box with two IDE disks. One
2GB Quantum Fireball ST2.1A and a 6GB IBM disk. In the text installer's
partition list, both disks appear with the same parameters, it seems.

I didn't think much of it when partitioning the 2GB disk and so
partitioned it witr a 6GB ext2 partition. While formatting the kernel
went into a loop of errors. After rebooting, the kernel still couldn't
access the disk on account of the MBR being bogus, it seems.

After realizing what was wrong I only put a 2GB partition on the disk
(now showing 4GB free) and the installation seems to progress without
problems.


I don't know if this could be a jumper problem of sorts, and I don't really
feel like playing with it. Life's too short. But I figured I would file
a bug on it - if you can/care to reproduce, fine. If not, just nuke the
bug.

FYI /proc geometry reads:
physical 4092/16/63
logical  790/255/63

The text the kernel prints out about the disk during booting looks correct.
Comment 1 Michael Fulbright 2000-10-09 11:18:55 EDT
Did you try to partition with Disk Druid or fdisk?

Could you include the contents of /proc/ide/<drivedevice>/geometry for both
drives?
Comment 2 Jesper Skov 2000-10-09 11:46:57 EDT
I used fdisk. Below are three files: hda geometry, hdb geometry, fdisk -l
/dev/hda output

thinktwice:> cat /tmp/a
physical     4092/16/63
logical      256/255/63
thinktwice:> cat /tmp/b
physical     12592/16/63
logical      790/255/63
thinktwice:> cat /tmp/c

Disk /dev/hda: 255 heads, 63 sectors, 256 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1       249   2000061   83  Linux
/dev/hda2           250       790   4345582+   5  Extended
/dev/hda5           250       256     56196   82  Linux swap



Note You need to log in before you can comment on or make changes to this bug.